Enumerations

# rail_widget.h File Reference

Types related to the rail widgets. More...

Go to the source code of this file.

## Enumerations
enum | RailToolbarWidgets { WID_RAT_CAPTION, WID_RAT_BUILD_NS, WID_RAT_BUILD_X, WID_RAT_BUILD_EW, WID_RAT_BUILD_Y, WID_RAT_AUTORAIL, WID_RAT_DEMOLISH, WID_RAT_BUILD_DEPOT, WID_RAT_BUILD_WAYPOINT, WID_RAT_BUILD_STATION, WID_RAT_BUILD_SIGNALS, WID_RAT_BUILD_BRIDGE, WID_RAT_BUILD_TUNNEL, WID_RAT_REMOVE, WID_RAT_CONVERT_RAIL }
| Widgets of the BuildRailToolbarWindow ckass. More...
enum | BuildRailStationWidgets { WID_BRAS_PLATFORM_DIR_X, WID_BRAS_PLATFORM_DIR_Y, WID_BRAS_PLATFORM_NUM_1, WID_BRAS_PLATFORM_NUM_2, WID_BRAS_PLATFORM_NUM_3, WID_BRAS_PLATFORM_NUM_4, WID_BRAS_PLATFORM_NUM_5, WID_BRAS_PLATFORM_NUM_6, WID_BRAS_PLATFORM_NUM_7, WID_BRAS_PLATFORM_LEN_1, WID_BRAS_PLATFORM_LEN_2, WID_BRAS_PLATFORM_LEN_3, WID_BRAS_PLATFORM_LEN_4, WID_BRAS_PLATFORM_LEN_5, WID_BRAS_PLATFORM_LEN_6, WID_BRAS_PLATFORM_LEN_7, WID_BRAS_PLATFORM_DRAG_N_DROP, WID_BRAS_HIGHLIGHT_OFF, WID_BRAS_HIGHLIGHT_ON, WID_BRAS_COVERAGE_TEXTS, WID_BRAS_MATRIX, WID_BRAS_IMAGE, WID_BRAS_MATRIX_SCROLL, WID_BRAS_SHOW_NEWST_ADDITIONS, WID_BRAS_SHOW_NEWST_MATRIX, WID_BRAS_SHOW_NEWST_RESIZE, WID_BRAS_SHOW_NEWST_TYPE, WID_BRAS_NEWST_LIST, WID_BRAS_NEWST_SCROLL, WID_BRAS_PLATFORM_NUM_BEGIN = WID_BRAS_PLATFORM_NUM_1 - 1, WID_BRAS_PLATFORM_LEN_BEGIN = WID_BRAS_PLATFORM_LEN_1 - 1 }
| Widgets of the BuildRailStationWindow class. More...
enum | BuildSignalWidgets { WID_BS_SEMAPHORE_NORM, WID_BS_SEMAPHORE_ENTRY, WID_BS_SEMAPHORE_EXIT, WID_BS_SEMAPHORE_COMBO, WID_BS_SEMAPHORE_PBS, WID_BS_SEMAPHORE_PBS_OWAY, WID_BS_ELECTRIC_NORM, WID_BS_ELECTRIC_ENTRY, WID_BS_ELECTRIC_EXIT, WID_BS_ELECTRIC_COMBO, WID_BS_ELECTRIC_PBS, WID_BS_ELECTRIC_PBS_OWAY, WID_BS_CONVERT, WID_BS_DRAG_SIGNALS_DENSITY_LABEL, WID_BS_DRAG_SIGNALS_DENSITY_DECREASE, WID_BS_DRAG_SIGNALS_DENSITY_INCREASE }
| Widgets of the BuildSignalWindow class. More...
enum | BuildRailDepotWidgets { WID_BRAD_DEPOT_NE, WID_BRAD_DEPOT_SE, WID_BRAD_DEPOT_SW, WID_BRAD_DEPOT_NW }
| Widgets of the BuildRailDepotWindow class. More...
enum | BuildRailWaypointWidgets { WID_BRW_WAYPOINT_MATRIX, WID_BRW_WAYPOINT, WID_BRW_SCROLL }
| Widgets of the BuildRailWaypointWindow class. More...

## Detailed Description

Types related to the rail widgets.

Definition in file rail_widget.h.

## Enumeration Type Documentation

enum BuildRailDepotWidgets

Widgets of the BuildRailDepotWindow class.

Enumerator:

  WID_BRAD_DEPOT_NE | Build a depot with the entrace in the north east.
  WID_BRAD_DEPOT_SE | Build a depot with the entrace in the south east.
  WID_BRAD_DEPOT_SW | Build a depot with the entrace in the south west.
  WID_BRAD_DEPOT_NW | Build a depot with the entrace in the north west.

Definition at line 99 of file rail_widget.h.

enum BuildRailStationWidgets

Widgets of the BuildRailStationWindow class.

Enumerator:

  WID_BRAS_PLATFORM_DIR_X | Button to select '/' view.
  WID_BRAS_PLATFORM_DIR_Y | Button to select '\' view.
  WID_BRAS_PLATFORM_NUM_1 | Button to select stations with a single platform.
  WID_BRAS_PLATFORM_NUM_2 | Button to select stations with 2 platforms.
  WID_BRAS_PLATFORM_NUM_3 | Button to select stations with 3 platforms.
  WID_BRAS_PLATFORM_NUM_4 | Button to select stations with 4 platforms.
  WID_BRAS_PLATFORM_NUM_5 | Button to select stations with 5 platforms.
  WID_BRAS_PLATFORM_NUM_6 | Button to select stations with 6 platforms.
  WID_BRAS_PLATFORM_NUM_7 | Button to select stations with 7 platforms.
  WID_BRAS_PLATFORM_LEN_1 | Button to select single tile length station platforms.
  WID_BRAS_PLATFORM_LEN_2 | Button to select 2 tiles length station platforms.
  WID_BRAS_PLATFORM_LEN_3 | Button to select 3 tiles length station platforms.
  WID_BRAS_PLATFORM_LEN_4 | Button to select 4 tiles length station platforms.
  WID_BRAS_PLATFORM_LEN_5 | Button to select 5 tiles length station platforms.
  WID_BRAS_PLATFORM_LEN_6 | Button to select 6 tiles length station platforms.
  WID_BRAS_PLATFORM_LEN_7 | Button to select 7 tiles length station platforms.
  WID_BRAS_PLATFORM_DRAG_N_DROP | Button to enable drag and drop type station placement.
  WID_BRAS_HIGHLIGHT_OFF | Button for turning coverage highlighting off.
  WID_BRAS_HIGHLIGHT_ON | Button for turning coverage highlighting on.
  WID_BRAS_COVERAGE_TEXTS | Empty space for the coverage texts.
  WID_BRAS_MATRIX | Matrix widget displaying the available stations.
  WID_BRAS_IMAGE | Panel used at each cell of the matrix.
  WID_BRAS_MATRIX_SCROLL | Scrollbar of the matrix widget.
  WID_BRAS_SHOW_NEWST_ADDITIONS | Selection for newstation class selection list.
  WID_BRAS_SHOW_NEWST_MATRIX | Selection for newstation image matrix.
  WID_BRAS_SHOW_NEWST_RESIZE | Selection for panel and resize at bottom right for newstation.
  WID_BRAS_SHOW_NEWST_TYPE | Display of selected station type.
  WID_BRAS_NEWST_LIST | List with available newstation classes.
  WID_BRAS_NEWST_SCROLL | Scrollbar of the WID_BRAS_NEWST_LIST.
  WID_BRAS_PLATFORM_NUM_BEGIN | Helper for determining the chosen platform width.
  WID_BRAS_PLATFORM_LEN_BEGIN | Helper for determining the chosen platform length.

Definition at line 36 of file rail_widget.h.

enum BuildRailWaypointWidgets

Widgets of the BuildRailWaypointWindow class.

Enumerator:

  WID_BRW_WAYPOINT_MATRIX | Matrix with waypoints.
  WID_BRW_WAYPOINT | A single waypoint.
  WID_BRW_SCROLL | Scrollbar for the matrix.

Definition at line 108 of file rail_widget.h.

enum BuildSignalWidgets

Widgets of the BuildSignalWindow class.

Enumerator:

  WID_BS_SEMAPHORE_NORM | Build a semaphore normal block signal.
  WID_BS_SEMAPHORE_ENTRY | Build a semaphore entry block signal.
  WID_BS_SEMAPHORE_EXIT | Build a semaphore exit block signal.
  WID_BS_SEMAPHORE_COMBO | Build a semaphore combo block signal.
  WID_BS_SEMAPHORE_PBS | Build a semaphore path signal.
  WID_BS_SEMAPHORE_PBS_OWAY | Build a semaphore one way path signal.
  WID_BS_ELECTRIC_NORM | Build an electric normal block signal.
  WID_BS_ELECTRIC_ENTRY | Build an electric entry block signal.
  WID_BS_ELECTRIC_EXIT | Build an electric exit block signal.
  WID_BS_ELECTRIC_COMBO | Build an electric combo block signal.
  WID_BS_ELECTRIC_PBS | Build an electric path signal.
  WID_BS_ELECTRIC_PBS_OWAY | Build an electric one way path signal.
  WID_BS_CONVERT | Convert the signal.
  WID_BS_DRAG_SIGNALS_DENSITY_LABEL | The current signal density.
  WID_BS_DRAG_SIGNALS_DENSITY_DECREASE | Decrease the signal density.
  WID_BS_DRAG_SIGNALS_DENSITY_INCREASE | Increase the signal density.

Definition at line 79 of file rail_widget.h.

enum RailToolbarWidgets

Widgets of the BuildRailToolbarWindow ckass.

Enumerator:

  WID_RAT_CAPTION | Caption of the window.
  WID_RAT_BUILD_NS | Build rail along the game view Y axis.
  WID_RAT_BUILD_X | Build rail along the game grid X axis.
  WID_RAT_BUILD_EW | Build rail along the game view X axis.
  WID_RAT_BUILD_Y | Build rail along the game grid Y axis.
  WID_RAT_AUTORAIL | Autorail tool.
  WID_RAT_DEMOLISH | Destroy something with dynamite!
  WID_RAT_BUILD_DEPOT | Build a depot.
  WID_RAT_BUILD_WAYPOINT | Build a waypoint.
  WID_RAT_BUILD_STATION | Build a station.
  WID_RAT_BUILD_SIGNALS | Build signals.
  WID_RAT_BUILD_BRIDGE | Build a bridge.
  WID_RAT_BUILD_TUNNEL | Build a tunnel.
  WID_RAT_REMOVE | Bulldozer to remove rail.
  WID_RAT_CONVERT_RAIL | Convert other rail to this type.

Definition at line 16 of file rail_widget.h.